升级dede5.7后文章内容编辑器异常无法发布文章的解决方法

今天给一个客户的网站由dedeCMS5.6升级到了dedeCMS5.7,可是这时候问题来了:文章修改和文章发布的内容编辑页面,出现了问题,所有的内容编辑器都不见了。

查了很多资料,想了好多办法,有的说需要把文章投票的sql执行一下,有的说重新传dede目录和include目录,其实,这些完全是扯淡,真正的原因是编辑器设置错误。解决方法很简单:

后台 -> 系统 -> 系统基本参数 -> 核心设置 -> Html编辑器选项(目前仅支持fck):

内容中将 fck 改为 ckeditor 即可!

OK,重新打开文章编辑或添加界面,一切都正常了。

Published by

小车

网站技术工人

5 thoughts on “升级dede5.7后文章内容编辑器异常无法发布文章的解决方法”

  1. 坑爹的dede,我找这个问题找了一个晚上,最后还是对比config.cache.inc.php和默认的config.cache.bak.php发现的,把config.cache.inc.php里面的内容换成config.cache.bak.php里的就没事,最后一项一项对比这两个文件,才发现是$cfg_html_editor = ‘fck’;的问题,死垃圾dede,以后新站再也不敢用它了

    1. dede太好用了,用的人太多了,所以漏洞也被发现的多。 出现问题,也很容易找到解决办法。 就是被攻击的概率很大。 哎… 用也不是,不用也不是…

  2. 你好,我看了关于升级dede5.7后文章内容编辑器异常无法发布文章的解决方法,但是我们网站后台原本的就是ckeditor ,还是无法编辑文档内容,请帮忙解决一下,谢谢。

Comments are closed.